# Type alias BasicModuleParams<TConfig, TAdditionalParams>

BasicModuleParams<TConfig, TAdditionalParams>: WithAdditional<BaseParams<{
config: TConfig;
}>, TAdditionalParams>

#### Type Parameters

- #### TConfig extends AnyConfigSchema

- #### TAdditionalParams extends AnyObject | undefined = undefined

- Defined in modules/packages/module/packages/model/dist/types/ModuleParams.d.ts:5

Generated using TypeDoc